Package org.apache.storm.generated

## Enum HBServerMessageType

- java.lang.Object
- - java.lang.Enum<HBServerMessageType>
  - - org.apache.storm.generated.HBServerMessageType

- All Implemented Interfaces:
    `Serializable`, `Comparable<HBServerMessageType>`, `org.apache.storm.thrift.TEnum`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public enum HBServerMessageType
      extends Enum<HBServerMessageType>
      implements org.apache.storm.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTROL_MESSAGE` |
    `CREATE_PATH` |
    `CREATE_PATH_RESPONSE` |
    `DELETE_PATH` |
    `DELETE_PATH_RESPONSE` |
    `DELETE_PULSE_ID` |
    `DELETE_PULSE_ID_RESPONSE` |
    `EXISTS` |
    `EXISTS_RESPONSE` |
    `GET_ALL_NODES_FOR_PATH` |
    `GET_ALL_NODES_FOR_PATH_RESPONSE` |
    `GET_ALL_PULSE_FOR_PATH` |
    `GET_ALL_PULSE_FOR_PATH_RESPONSE` |
    `GET_PULSE` |
    `GET_PULSE_RESPONSE` |
    `NOT_AUTHORIZED` |
    `SASL_MESSAGE_TOKEN` |
    `SEND_PULSE` |
    `SEND_PULSE_RESPONSE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HBServerMessageType` | `findByValue​(int value)` | Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` | Get the integer value of this enum value, as defined in the Thrift IDL.
    `static HBServerMessageType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HBServerMessageType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE_PATH

          public static final HBServerMessageType CREATE_PATH

    - #### CREATE_PATH_RESPONSE

          public static final HBServerMessageType CREATE_PATH_RESPONSE

    - #### EXISTS

          public static final HBServerMessageType EXISTS

    - #### EXISTS_RESPONSE

          public static final HBServerMessageType EXISTS_RESPONSE

    - #### SEND_PULSE

          public static final HBServerMessageType SEND_PULSE

    - #### SEND_PULSE_RESPONSE

          public static final HBServerMessageType SEND_PULSE_RESPONSE

    - #### GET_ALL_PULSE_FOR_PATH

          public static final HBServerMessageType GET_ALL_PULSE_FOR_PATH

    - #### GET_ALL_PULSE_FOR_PATH_RESPONSE

          public static final HBServerMessageType GET_ALL_PULSE_FOR_PATH_RESPONSE

    - #### GET_ALL_NODES_FOR_PATH

          public static final HBServerMessageType GET_ALL_NODES_FOR_PATH

    - #### GET_ALL_NODES_FOR_PATH_RESPONSE

          public static final HBServerMessageType GET_ALL_NODES_FOR_PATH_RESPONSE

    - #### GET_PULSE

          public static final HBServerMessageType GET_PULSE

    - #### GET_PULSE_RESPONSE

          public static final HBServerMessageType GET_PULSE_RESPONSE

    - #### DELETE_PATH

          public static final HBServerMessageType DELETE_PATH

    - #### DELETE_PATH_RESPONSE

          public static final HBServerMessageType DELETE_PATH_RESPONSE

    - #### DELETE_PULSE_ID

          public static final HBServerMessageType DELETE_PULSE_ID

    - #### DELETE_PULSE_ID_RESPONSE

          public static final HBServerMessageType DELETE_PULSE_ID_RESPONSE

    - #### CONTROL_MESSAGE

          public static final HBServerMessageType CONTROL_MESSAGE

    - #### SASL_MESSAGE_TOKEN

          public static final HBServerMessageType SASL_MESSAGE_TOKEN

    - #### NOT_AUTHORIZED

          public static final HBServerMessageType NOT_AUTHORIZED

  - ### Method Detail

    - #### values

          public static HBServerMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HBServerMessageType c : HBServerMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HBServerMessageType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.storm.thrift.TEnum`

    - #### findByValue

          public static HBServerMessageType findByValue​(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.